#!/bin/bash

# Add upstream remote if it doesn't exist
if ! git remote | grep -q 'upstream'; then
  git remote add upstream https://github.com/Vendicated/Vencord.git
  echo "Added upstream remote"
fi

# Disable push to upstream by removing its push URL
git remote set-url --push upstream no_push
echo "Disabled push to upstream remote"

# Add alias for sync: fetch, merge, and push to origin
git config alias.sync '!git fetch upstream && git merge upstream/main && git push origin main'
echo "Configured sync alias"

echo "Setup completed!"

